Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class Parameter

    java.lang.Object
      org.apache.axis2.description.Parameter

All Implemented Interfaces:
  Externalizable, Serializable, SafeSerializable

    public class Parameter

extends Object
implements Externalizable, SafeSerializable

Class Parameter

See Also:
  Serialized Form

Field Summary
`static int` | `ANY_PARAMETER` Field ANY_PARAMETER
`static int` | `OM_PARAMETER` Field OM_PARAMETER
`static int` | `TEXT_PARAMETER` Field TEXT_PARAMETER

Constructor Summary
`Parameter()` Constructor.
`Parameter(String name, Object value)` Constructor from name and value.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getName()` Method getName.
`org.apache.axiom.om.OMElement` | `getParameterElement()`
`int` | `getParameterType()` Method getParameterType.
`Object` | `getValue()` Method getValue.
`int` | `hashCode()`
`boolean` | `isLocked()` Method isLocked.
`boolean` | `isTransient()`
`void` | `readExternal(ObjectInput inObject)` Restore the contents of the object that was previously saved.
`void` | `setEditable(boolean editable)`
`void` | `setLocked(boolean value)` Method setLocked.
`void` | `setName(String name)` Method setName.
`void` | `setParameterElement(org.apache.axiom.om.OMElement element)`
`void` | `setParameterType(int type)`
`void` | `setTransient(boolean _transient)`
`void` | `setValue(Object value)` Method setValue.
`String` | `toString()`
`void` | `writeExternal(ObjectOutput o)` Save the contents of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ANY_PARAMETER

    public static final int ANY_PARAMETER

  Field ANY_PARAMETER

  See Also:
    Constant Field Values

### TEXT_PARAMETER

    public static final int TEXT_PARAMETER

  Field TEXT_PARAMETER

  See Also:
    Constant Field Values

### OM_PARAMETER

    public static final int OM_PARAMETER

  Field OM_PARAMETER

  See Also:
    Constant Field Values

Constructor Detail

### Parameter

    public Parameter()

  Constructor.

### Parameter

    public Parameter(String name,
                     Object value)

  Constructor from name and value.

  Parameters:
    `name` -
    `value` -

Method Detail

### getName

    public String getName()

  Method getName.

  Returns:
    Returns String.

### getParameterElement

    public org.apache.axiom.om.OMElement getParameterElement()

### getParameterType

    public int getParameterType()

  Method getParameterType.

  Returns:
    Returns int.

### getValue

    public Object getValue()

  Method getValue.

  Returns:
    Returns Object.

### isLocked

    public boolean isLocked()

  Method isLocked.

  Returns:
    Returns boolean.

### setLocked

    public void setLocked(boolean value)

  Method setLocked.

  Parameters:
    `value` -

### setName

    public void setName(String name)

  Method setName.

  Parameters:
    `name` -

### setParameterElement

    public void setParameterElement(org.apache.axiom.om.OMElement element)

### setParameterType

    public void setParameterType(int type)

### setValue

    public void setValue(Object value)

  Method setValue.

  Parameters:
    `value` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### writeExternal

    public void writeExternal(ObjectOutput o)
                       throws IOException

  Save the contents of this object.

  NOTE: Transient fields and static fields are not saved. Also, objects that represent "static" data are not saved, except for enough information to be able to find matching objects when the message context is re-constituted.

  Specified by:
    `writeExternal` in interface `Externalizable`
  Parameters:
    `out` - The stream to write the object contents to
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput inObject)
                      throws IOException,
                             ClassNotFoundException

  Restore the contents of the object that was previously saved.

  NOTE: The field data must read back in the same order and type as it was written. Some data will need to be validated when resurrected.

  Specified by:
    `readExternal` in interface `Externalizable`
  Parameters:
    `in` - The stream to read the object contents from
  Throws:
    `IOException`
    `ClassNotFoundException`

### setEditable

    public void setEditable(boolean editable)

### isTransient

    public boolean isTransient()

### setTransient

    public void setTransient(boolean _transient)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.